Loading...
Searching...
No Matches
juce::GIFImageFormat Class Reference

## Detailed Description

A subclass of ImageFileFormat for reading GIF files.

See also
  ImageFileFormat, PNGImageFormat, JPEGImageFormat

The documentation for this class was generated from the following file:

- juce_graphics/images/juce_ImageFileFormat.h

Inheritance diagram for juce::GIFImageFormat:

## Public Member Functions

| GIFImageFormat ()
| ~GIFImageFormat () override
String | getFormatName () override
| Returns a description of this file format.
bool | usesFileExtension (const File &) override
| Returns true if this format uses the file extension of the given file.
bool | canUnderstand (InputStream &) override
| Returns true if the given stream seems to contain data that this format understands.
Image | decodeImage (InputStream &) override
| Tries to decode and return an image from the given stream.
bool | writeImageToStream (const Image &, OutputStream &) override
| Attempts to write an image to a stream.
Public Member Functions inherited from juce::ImageFileFormat
virtual | ~ImageFileFormat ()=default
| Destructor.

## Additional Inherited Members

Static Public Member Functions inherited from juce::ImageFileFormat
static ImageFileFormat * | findImageFormatForStream (InputStream &input)
| Tries the built-in formats to see if it can find one to read this stream.
static ImageFileFormat * | findImageFormatForFileExtension (const File &file)
| Looks for a format that can handle the given file extension.
static Image | loadFrom (InputStream &input)
| Tries to load an image from a stream.
static Image | loadFrom (const File &file)
| Tries to load an image from a file.
static Image | loadFrom (const void *rawData, size_t numBytesOfData)
| Tries to load an image from a block of raw image data.
Protected Member Functions inherited from juce::ImageFileFormat
| ImageFileFormat ()=default
| Creates an ImageFormat.

## Constructors and Destructors

## GIFImageFormat()

juce::GIFImageFormat::GIFImageFormat | ( |  | ) |

## ~GIFImageFormat()

juce::GIFImageFormat::~GIFImageFormat | ( |  | ) |

override

## Member Functions

## getFormatName()

String juce::GIFImageFormat::getFormatName | ( |  | ) |

override virtual

Returns a description of this file format.

E.g. "JPEG", "PNG"

Implements juce::ImageFileFormat.

## usesFileExtension()

bool juce::GIFImageFormat::usesFileExtension | ( | const File & | possibleFile | ) |

override virtual

Returns true if this format uses the file extension of the given file.

Implements juce::ImageFileFormat.

## canUnderstand()

bool juce::GIFImageFormat::canUnderstand | ( | InputStream & | input | ) |

override virtual

Returns true if the given stream seems to contain data that this format understands.

The format class should only read the first few bytes of the stream and sniff for header bytes that it understands.

Note that this will advance the stream and leave it in a new position, so if you're planning on re-using it, you may want to rewind it after calling this method.

See also
  decodeImage

Implements juce::ImageFileFormat.

## decodeImage()

Image juce::GIFImageFormat::decodeImage | ( | InputStream & | input | ) |

override virtual

Tries to decode and return an image from the given stream.

This will be called for an image format after calling its canUnderStand() method to see if it can handle the stream.

Parameters

  input | the stream to read the data from. The stream will be positioned at the start of the image data (but this may not necessarily be position 0)

Returns
  the image that was decoded, or an invalid image if it fails.

See also
  loadFrom

Implements juce::ImageFileFormat.

## writeImageToStream()

bool juce::GIFImageFormat::writeImageToStream | ( | const Image & | sourceImage,
|  | OutputStream & | destStream )

override virtual

Attempts to write an image to a stream.

To specify extra information like encoding quality, there will be appropriate parameters in the subclasses of the specific file types.

Returns
  true if it nothing went wrong.

Implements juce::ImageFileFormat.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited